[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonDef.DaemonClassName

Name of the TDaemon class to use for this daemon

## Declaration

Source position: daemonapp.pp line 237

`published property TDaemonDef.DaemonClassName: String read FDaemonClassName write FDaemonClassName;`

## Description

DaemonClassName is the name of the TDaemon class that will be used whenever the service is needed. The name is used to look up the class pointer registered in the daemon mapper, when TCustomDaemonApplication.CreateDaemonInstance creates an instance of the daemon.

## See also

TDaemonDef.Instance |  | Instance of the daemon class
TDaemonDef.DaemonClass |  | TDaemon class to use for this daemon
RegisterDaemonClass |  | Register daemon

The latest version of this document can be found at lazarus-ccr.sourceforge.net.